Retrieve a paginated list of events collected from all edge servers.
/api/v1/eventsAPI to retrieve a list of events from all edge servers. The result is paginated based on the provided query parameters. Refer to the Event Object for more details.
Access Token is required via Bearer token authentication. Refer to the Authentication section for more details.
1(must be > 0)10(must be > 0 and < 101)nullnullnullnull{
"page": 1,
"size": 10,
"total_cnt": 100,
"max_page": 10,
"results": [
{
"id": "string",
"label": {
"id": "string",
"name": {
"ko": "string",
"en": "string"
}
},
"confidence": 0,
"mic": {
"id": "string",
"name": "string",
"location": {
"latitude": -33.75,
"longitude": 151.25
}
},
"created_at": "2019-08-24T14:15:22Z",
"updated_at": "2019-08-24T14:15:22Z"
}
]
}const response = await fetch('http://{{EDGE_IP}}:8100/api/v1/events?page=1&size=10', {
method: 'GET',
headers: {
"Authorization": "Bearer YOUR_ACCESS_TOKEN"
}
});
const data = await response.json();const response = await fetch('http://{{EDGE_IP}}:8100/api/v1/events?page=1&size=10&start=2024-01-01T00:00:00Z&end=2024-01-31T23:59:59Z', {
method: 'GET',
headers: {
"Authorization": "Bearer YOUR_ACCESS_TOKEN"
}
});
const data = await response.json();const response = await fetch('http://{{EDGE_IP}}:8100/api/v1/events?page=1&size=10&mic_id=example_mic_id&label_id=normal_speech_female', {
method: 'GET',
headers: {
"Authorization": "Bearer YOUR_ACCESS_TOKEN"
}
});
const data = await response.json();const response = await fetch('http://{{EDGE_IP}}:8100/api/v1/events?page=1&size=10&mic_id=example_mic_id1&mic_id=example_mic_id2', {
method: 'GET',
headers: {
"Authorization": "Bearer YOUR_ACCESS_TOKEN"
}
});
const data = await response.json();